package com.ekingwin.model;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import java.io.PrintStream;
import java.util.List;
import java.util.Map.Entry;
import net.sf.json.xml.XMLSerializer;

public class Json2Xml
{
  private static String translateJSONObject2Xml(JSONObject jsonObject)
  {
    String xml = "";
    for (Entry entry : jsonObject.entrySet()) {
      String key = (String)entry.getKey();
      Object value = entry.getValue();
      if ((value instanceof List)) {
        if (!key.equals("fileNames")) {
          xml = xml + "<" + key + ">";
          JSONArray array = JSON.parseArray(value.toString());
          for (int i = 0; i < array.size(); i++) {
            JSONObject item = (JSONObject)array.get(i);
            xml = xml + "<ITEM>" + translateJSONObject2Xml(item) + "</ITEM>";
          }
          xml = xml + "</" + key + ">";
        } else {
          xml = xml + "<" + key + ">";
          JSONArray array = JSON.parseArray(value.toString());
          for (int i = 0; i < array.size(); i++) {
            xml = xml + array.get(i).toString();
            if (i < array.size() - 1) {
              xml = xml + ",";
            }
          }
          xml = xml + "</" + key + ">";
        }
      }
      else if ((value instanceof JSONObject)) {
        xml = xml + "<" + key + ">" + translateJSONObject2Xml((JSONObject)value) + "</" + key + ">";
      }
      else
      {
        xml = xml + "<" + key + ">" + value.toString() + "</" + key + ">";
      }
    }
    return xml;
  }

  public static String translateJsonFromSAP2Xml(String json)
  {
    if ((json == null) || ("".equals(json.trim()))) {
      return "";
    }
    json = json.trim();
    String xml = "<?xml version=\"1.0\"?>";
    xml = xml + "<DATA>";
    try {
      JSONObject data = JSON.parseObject(json);

      xml = xml + translateJSONObject2Xml(data);
    } catch (Exception ex) {
      xml = xml + "<ERROR>json格式不正确，转换出错。</ERROR>";
    } finally {
      xml = xml + "</DATA>";
    }
    return xml;
  }

  public static String translateJson2Xml(String json) {
    if ((json == null) || ("".equals(json.trim()))) {
      return "";
    }
    json = json.trim();
    String xml = "<?xml version=\"1.0\"?>";
    xml = xml + "<DATA>";
    try {
      JSONObject data = JSON.parseObject(json);
      xml = xml + translateJSONObject2Xml(data);
    } catch (Exception ex) {
      xml = xml + "<ERROR>json格式不正确，转换出错。</ERROR>";
    } finally {
      xml = xml + "</DATA>";
    }
    return xml;
  }

  public static String translateXml2Json(String xmlContent)
  {
    if ((xmlContent == null) || ("".equals(xmlContent.trim()))) {
      return "";
    }
    xmlContent = xmlContent.trim();
    String jsonContent = "";
    XMLSerializer xmlSerializernew = new XMLSerializer();
    xmlSerializernew.setSkipNamespaces(true);
    xmlSerializernew.setRemoveNamespacePrefixFromElements(true);
    jsonContent = xmlSerializernew.read(xmlContent).toString();
    jsonContent = jsonContent.replace("null", "\"\"").replace("[]", "\"\"").replace(",\"\"]", "]");
    jsonContent = "{\"results\":" + jsonContent + "}";
    jsonContent = jsonContent.replace("{\"results\":[\"\",", "{\"results\":[");
    return jsonContent;
  }

  public static String translateXml2FSSCJson(String xmlContent) {
    if ((xmlContent == null) || ("".equals(xmlContent.trim()))) {
      return "";
    }
    xmlContent = xmlContent.trim();
    String jsonContent = "";
    XMLSerializer xmlSerializernew = new XMLSerializer();
    xmlSerializernew.setSkipNamespaces(true);
    xmlSerializernew.setRemoveNamespacePrefixFromElements(true);
    jsonContent = xmlSerializernew.read(xmlContent).toString();
    jsonContent = jsonContent.replace("null", "\"\"").replace("[]", "\"\"");
    jsonContent = jsonContent.replace("{\"result\":[{\"RETURN_CODE\":\"\"},", "[").replace("}]}", "}]").replace("[\"\",{", "[{");
    jsonContent = jsonContent.replace("[{\"RETURN_CODE\":\"\"},", "[");
    return jsonContent;
  }

  public static String translateXml2SimpleJson(String xmlContent) {
    xmlContent = xmlContent.replace(" xmlns:soapenv=\"http://schemas.xmlsoap.org/soap/envelope/\"", "");
    xmlContent = xmlContent.replace("xmlns:sen=\"http://www.ekingwin.com/SendMessage\"", "");
    //System.out.println("xmlContent:" + xmlContent);
    if ((xmlContent == null) || ("".equals(xmlContent.trim()))) {
      return "";
    }
    xmlContent = xmlContent.trim();

    String jsonContent = "";
    XMLSerializer xmlSerializernew = new XMLSerializer();
    xmlSerializernew.setSkipNamespaces(true);
    xmlSerializernew.setRemoveNamespacePrefixFromElements(true);
    jsonContent = xmlSerializernew.read(xmlContent).toString();
    jsonContent = jsonContent.replace("null", "\"\"").replace("[]", "\"\"").replace(",\"\"", "");
    return jsonContent;
  }

  public static String translateXml2EBSJson(String xmlContent) {
    if ((xmlContent == null) || ("".equals(xmlContent.trim()))) {
      return "";
    }
    xmlContent = xmlContent.trim();

    String jsonContent = "";
    XMLSerializer xmlSerializernew = new XMLSerializer();
    xmlSerializernew.setSkipNamespaces(true);
    xmlSerializernew.setRemoveNamespacePrefixFromElements(true);
    jsonContent = xmlSerializernew.read(xmlContent).toString();
    jsonContent = jsonContent.replace("[],", "");
    return jsonContent;
  }

  public static String translateXml2PayApplyJson(String xmlContent) {
    if ((xmlContent == null) || ("".equals(xmlContent.trim()))) {
      return "";
    }
    xmlContent = xmlContent.trim();

    String jsonContent = "";
    XMLSerializer xmlSerializernew = new XMLSerializer();
    xmlSerializernew.setSkipNamespaces(true);
    xmlSerializernew.setRemoveNamespacePrefixFromElements(true);
    jsonContent = xmlSerializernew.read(xmlContent).toString();
    jsonContent = jsonContent.replace("null", "\"\"").replace("[]", "\"\"").replace("{\"ITEM\":[{", "[{").replace("}]}", "}]").replace(",\"\"]", "]");
    return jsonContent;
  }
  public static String translateXml2PayApplyJson_QX(String xmlContent) {
    if ((xmlContent == null) || ("".equals(xmlContent.trim()))) {
      return "";
    }
    xmlContent = xmlContent.trim();

    String jsonContent = "";
    XMLSerializer xmlSerializernew = new XMLSerializer();
    xmlSerializernew.setSkipNamespaces(true);
    xmlSerializernew.setRemoveNamespacePrefixFromElements(true);
    jsonContent = xmlSerializernew.read(xmlContent).toString();
    jsonContent = jsonContent.replace("null", "\"\"").replace("[]", "\"\"").replace(",\"\"]", "]").replace("{\"ITEM\":[{", "[{").replace("}]}", "}]");
    return jsonContent;
  }

  public static String translateXml2PrepayApplyJson(String xmlContent) {
    if ((xmlContent == null) || ("".equals(xmlContent.trim()))) {
      return "";
    }
    xmlContent = xmlContent.trim();

    String jsonContent = "";
    XMLSerializer xmlSerializernew = new XMLSerializer();
    xmlSerializernew.setSkipNamespaces(true);
    xmlSerializernew.setRemoveNamespacePrefixFromElements(true);
    jsonContent = xmlSerializernew.read(xmlContent).toString();
    jsonContent = jsonContent.replace("SUBITEMS", "ITEMS");
    jsonContent = jsonContent.replace("null", "\"\"").replace(",[]", "").replace("[]", "\"\"");
    return jsonContent;
  }
  public static String translateXml2Json_CMS(String xmlContent) {
    if ((xmlContent == null) || ("".equals(xmlContent.trim()))) {
      return "";
    }
    xmlContent = xmlContent.trim();
    String jsonContent = "";
    XMLSerializer xmlSerializernew = new XMLSerializer();
    xmlSerializernew.setSkipNamespaces(true);
    xmlSerializernew.setRemoveNamespacePrefixFromElements(true);
    jsonContent = xmlSerializernew.read(xmlContent).toString();
    jsonContent = jsonContent.replace("null", "\"\"").replace("[]", "\"\"").replace(",\"\"]", "]");
    jsonContent = jsonContent.replace("{\"results\":[\"\",", "{\"results\":[");
    return jsonContent;
  }

  public static String translateXml2Json_EC(String xmlContent) {
    if ((xmlContent == null) || ("".equals(xmlContent.trim()))) {
      return "";
    }
    xmlContent = xmlContent.trim();
    String jsonContent = "";
    XMLSerializer xmlSerializernew = new XMLSerializer();
    xmlSerializernew.setSkipNamespaces(true);
    xmlSerializernew.setRemoveNamespacePrefixFromElements(true);
    jsonContent = xmlSerializernew.read(xmlContent).toString();
    jsonContent = jsonContent.replace("null", "\"\"").replace("[]", "\"\"").replace(",\"\"]", "]").replace("[\"\",{", "[{");
    return jsonContent;
  }

  public static String translateXml2Json_STD(String xmlContent) {
    if ((xmlContent == null) || ("".equals(xmlContent.trim()))) {
      return "";
    }
    xmlContent = xmlContent.trim();
    String jsonContent = "";
    XMLSerializer xmlSerializernew = new XMLSerializer();
    xmlSerializernew.setSkipNamespaces(true);
    xmlSerializernew.setRemoveNamespacePrefixFromElements(true);
    jsonContent = xmlSerializernew.read(xmlContent).toString();
    jsonContent = jsonContent.replace("null", "\"\"").replace("[],", "");
    return jsonContent;
  }

  public static String translateXml2Json_HRMS(String xmlContent) {
    if ((xmlContent == null) || ("".equals(xmlContent.trim()))) {
      return "";
    }
    xmlContent = xmlContent.trim();
    String jsonContent = "";
    XMLSerializer xmlSerializernew = new XMLSerializer();
    xmlSerializernew.setSkipNamespaces(true);
    xmlSerializernew.setRemoveNamespacePrefixFromElements(true);
    jsonContent = xmlSerializernew.read(xmlContent).toString();
    jsonContent = jsonContent.replace("null", "\"\"").replace("[]", "\"\"").replace(",\"\"", "");
    return jsonContent;
  }

  public static String translateXml2Json_Array(String xmlContent) {
    if ((xmlContent == null) || ("".equals(xmlContent.trim()))) {
      return "";
    }
    xmlContent = xmlContent.trim();

    String jsonContent = "";
    XMLSerializer xmlSerializernew = new XMLSerializer();
    xmlSerializernew.setSkipNamespaces(true);
    xmlSerializernew.setRemoveNamespacePrefixFromElements(true);
    jsonContent = xmlSerializernew.read(xmlContent).toString();
    jsonContent = jsonContent.replace(",[]", "");
    return jsonContent;
  }

  public static String translateXml2ABBVIEJson(String xmlContent) {
    if ((xmlContent == null) || ("".equals(xmlContent.trim()))) {
      return "";
    }
    xmlContent = xmlContent.trim();
    String jsonContent = "";
    XMLSerializer xmlSerializernew = new XMLSerializer();
    xmlSerializernew.setSkipNamespaces(true);
    xmlSerializernew.setRemoveNamespacePrefixFromElements(true);
    jsonContent = xmlSerializernew.read(xmlContent).toString();
    jsonContent = jsonContent.replace("null", "\"\"").replace(",[]", "");
    return jsonContent;
  }

  public static void main(String[] args)
  {
      
//    String json = "{\"events\":[{\"ERROR_INFO\":\"付款申请ID(1037115)对应任务：发票ID、发票编号或发票明细ID不存在！\",\"RETURN_CODE\":\"N\",\"RETURN_IDX_ID\":\"1037115\"}]}";
//    String xml = translateJsonFromSAP2Xml(json);
//    System.out.println("xml:" + xml);
    //String xmlstr = "<DATA><ITEM><DELIVERY_ID>8060539</DELIVERY_ID><ORG_NAME></ORG_NAME><DISCOUNT_AMOUNT>0</DISCOUNT_AMOUNT><CURRENCY_RATE>1</CURRENCY_RATE><BUYER_MEMO/><APROVE_DATE>2020-08-14T12:50:31.000+08:00</APROVE_DATE><TOTAL_QUANTITY>-1</TOTAL_QUANTITY><PAY_SCHEDULE_ID>1037115</PAY_SCHEDULE_ID><SOURCE>PPR</SOURCE><PAY_SCHEDULE_TYPE>NEW</PAY_SCHEDULE_TYPE><OTHER_MEMO/><PR_CREATE_DATE>2020-08-13T00:00:00.000+08:00</PR_CREATE_DATE><VENDER_NUMBER>990050</VENDER_NUMBER><ITEM_SPECS>5010060</ITEM_SPECS><PREPAY_INVOICE_LINE_ID/><LAST_UPEDATE_DATE/><PAY_SCHEDULE_AMOUNT>-4475.32</PAY_SCHEDULE_AMOUNT><BUYER></BUYER><ITEM_NAME></ITEM_NAME><CREATE_DATE>2020-08-14T12:50:44.000+08:00</CREATE_DATE><INVOICE_ID>1699042</INVOICE_ID><PRIORITY_LEVEL>1</PRIORITY_LEVEL><PAY_CONDITION/><PAY_MEMO/><DELIVERY_DATE>2018-02-03T16:46:28.000+08:00</DELIVERY_DATE><VENDER_NAME></VENDER_NAME><MANUFACTURER>Glaxo Wellcome Production</MANUFACTURER><ORDER_MEMO/><INVOICE_NO>05624416</INVOICE_NO><VENDER_SITE></VENDER_SITE><ITEM_NUMBER>24080109</ITEM_NUMBER><APROVE_PERSON></APROVE_PERSON><INVOICE_DATE>2018-04-25T00:00:00.000+08:00</INVOICE_DATE><AGENT/><PREPAY_INVOICE_NUM/><PAY_BATCH_NUMBER>2020081401</PAY_BATCH_NUMBER><APPLY_PREPAY_AMOUNT>0</APPLY_PREPAY_AMOUNT><PAY_SCHEDULE_DATE>2020-08-14T00:00:00.000+08:00</PAY_SCHEDULE_DATE><BILL_NOTE/><RESERVED_5/><ORG_CODE>608</ORG_CODE><RESERVED_4/><RESERVED_3/><INVOICE_LINE_ID>4464873</INVOICE_LINE_ID><AGENT_ID/><RESERVED_2/><RESERVED_1/><CURRENCY_CODE>CNY</CURRENCY_CODE><PAY_METHOD>001</PAY_METHOD><SYS_SOURCE>ISCM</SYS_SOURCE><NOTE_RECEIVABLE/><BANK_ACCOUNT>1782946206</BANK_ACCOUNT><PAY_CHECK_ID/><BUSI_TYPE/></ITEM><ITEM><DELIVERY_ID>8048525</DELIVERY_ID><ORG_NAME></ORG_NAME><DISCOUNT_AMOUNT>0</DISCOUNT_AMOUNT><CURRENCY_RATE>1</CURRENCY_RATE><BUYER_MEMO/><APROVE_DATE>2020-08-14T12:50:31.000+08:00</APROVE_DATE><TOTAL_QUANTITY>-1</TOTAL_QUANTITY><PAY_SCHEDULE_ID>1037113</PAY_SCHEDULE_ID><SOURCE>PPR</SOURCE><PAY_SCHEDULE_TYPE>NEW</PAY_SCHEDULE_TYPE><OTHER_MEMO/><PR_CREATE_DATE>2020-08-13T00:00:00.000+08:00</PR_CREATE_DATE><VENDER_NUMBER>990050</VENDER_NUMBER><PREPAY_INVOICE_LINE_ID/><LAST_UPEDATE_DATE/><PAY_SCHEDULE_AMOUNT>-3661.62</PAY_SCHEDULE_AMOUNT><ITEM_NAME></ITEM_NAME><CREATE_DATE>2020-08-14T12:50:44.000+08:00</CREATE_DATE><INVOICE_ID>1699042</INVOICE_ID><PRIORITY_LEVEL>1</PRIORITY_LEVEL><PAY_CONDITION/><PAY_MEMO/><DELIVERY_DATE>2018-02-01T12:41:11.000+08:00</DELIVERY_DATE><VENDER_NAME></VENDER_NAME><MANUFACTURER>Glaxo Wellcome Production</MANUFACTURER><ORDER_MEMO/><INVOICE_NO>05624416</INVOICE_NO><VENDER_SITE></VENDER_SITE><ITEM_NUMBER>24080109</ITEM_NUMBER><APROVE_PERSON></APROVE_PERSON><INVOICE_DATE>2018-04-25T00:00:00.000+08:00</INVOICE_DATE><AGENT/><PREPAY_INVOICE_NUM/><PAY_BATCH_NUMBER>2020081401</PAY_BATCH_NUMBER><APPLY_PREPAY_AMOUNT>0</APPLY_PREPAY_AMOUNT><PAY_SCHEDULE_DATE>2020-08-14T00:00:00.000+08:00</PAY_SCHEDULE_DATE><BILL_NOTE/><RESERVED_5/><ORG_CODE>608</ORG_CODE><RESERVED_4/><RESERVED_3/><INVOICE_LINE_ID>4464873</INVOICE_LINE_ID><AGENT_ID/><RESERVED_2/><RESERVED_1/><CURRENCY_CODE>CNY</CURRENCY_CODE><PAY_METHOD>001</PAY_METHOD><SYS_SOURCE>ISCM</SYS_SOURCE><NOTE_RECEIVABLE/><BANK_ACCOUNT>1782946206</BANK_ACCOUNT><PAY_CHECK_ID/><BUSI_TYPE/></ITEM><ITEM><DELIVERY_ID>8048509</DELIVERY_ID><ORG_NAME></ORG_NAME><DISCOUNT_AMOUNT>0</DISCOUNT_AMOUNT><CURRENCY_RATE>1</CURRENCY_RATE><BUYER_MEMO/><APROVE_DATE>2020-08-14T12:50:31.000+08:00</APROVE_DATE><TOTAL_QUANTITY>-1</TOTAL_QUANTITY><PAY_SCHEDULE_ID>1037112</PAY_SCHEDULE_ID><SOURCE>PPR</SOURCE><PAY_SCHEDULE_TYPE>NEW</PAY_SCHEDULE_TYPE><OTHER_MEMO/><PR_CREATE_DATE>2020-08-13T00:00:00.000+08:00</PR_CREATE_DATE><VENDER_NUMBER>990050</VENDER_NUMBER><ITEM_SPECS>5010060</ITEM_SPECS><PREPAY_INVOICE_LINE_ID/><LAST_UPEDATE_DATE/><PAY_SCHEDULE_AMOUNT>-949.33</PAY_SCHEDULE_AMOUNT><ITEM_NAME></ITEM_NAME><CREATE_DATE>2020-08-14T12:50:44.000+08:00</CREATE_DATE><INVOICE_ID>1699042</INVOICE_ID><PRIORITY_LEVEL>1</PRIORITY_LEVEL><PAY_CONDITION/><PAY_MEMO/><DELIVERY_DATE>2018-02-01T12:41:11.000+08:00</DELIVERY_DATE><VENDER_NAME></VENDER_NAME><MANUFACTURER>Glaxo Wellcome Production</MANUFACTURER><ORDER_MEMO/><INVOICE_NO>05624416</INVOICE_NO><VENDER_SITE></VENDER_SITE><ITEM_NUMBER>24080109</ITEM_NUMBER><APROVE_PERSON></APROVE_PERSON><INVOICE_DATE>2018-04-25T00:00:00.000+08:00</INVOICE_DATE><AGENT/><PREPAY_INVOICE_NUM/><PAY_BATCH_NUMBER>2020081401</PAY_BATCH_NUMBER><APPLY_PREPAY_AMOUNT>0</APPLY_PREPAY_AMOUNT><PAY_SCHEDULE_DATE>2020-08-14T00:00:00.000+08:00</PAY_SCHEDULE_DATE><BILL_NOTE/><RESERVED_5/><ORG_CODE>608</ORG_CODE><RESERVED_4/><RESERVED_3/><INVOICE_LINE_ID>4464873</INVOICE_LINE_ID><AGENT_ID/><RESERVED_2/><RESERVED_1/><CURRENCY_CODE>CNY</CURRENCY_CODE><PAY_METHOD>001</PAY_METHOD><SYS_SOURCE>ISCM</SYS_SOURCE><NOTE_RECEIVABLE/><BANK_ACCOUNT>1782946206</BANK_ACCOUNT><PAY_CHECK_ID/><BUSI_TYPE/></ITEM><ITEM><DELIVERY_ID>8048510</DELIVERY_ID><ORG_NAME></ORG_NAME><DISCOUNT_AMOUNT>0</DISCOUNT_AMOUNT><CURRENCY_RATE>1</CURRENCY_RATE><BUYER_MEMO/><APROVE_DATE>2020-08-14T12:50:31.000+08:00</APROVE_DATE><TOTAL_QUANTITY>-1</TOTAL_QUANTITY><PAY_SCHEDULE_ID>1037114</PAY_SCHEDULE_ID><SOURCE>PPR</SOURCE><PAY_SCHEDULE_TYPE>NEW</PAY_SCHEDULE_TYPE><OTHER_MEMO/><PR_CREATE_DATE>2020-08-13T00:00:00.000+08:00</PR_CREATE_DATE><VENDER_NUMBER>990050</VENDER_NUMBER><ITEM_SPECS>5010060</ITEM_SPECS><PREPAY_INVOICE_LINE_ID/><LAST_UPEDATE_DATE/><PAY_SCHEDULE_AMOUNT>-406.84</PAY_SCHEDULE_AMOUNT><ITEM_NAME></ITEM_NAME><CREATE_DATE>2020-08-14T12:50:44.000+08:00</CREATE_DATE><INVOICE_ID>1699042</INVOICE_ID><PRIORITY_LEVEL>1</PRIORITY_LEVEL><PAY_CONDITION/><PAY_MEMO/><DELIVERY_DATE>2018-02-01T12:41:11.000+08:00</DELIVERY_DATE><VENDER_NAME></VENDER_NAME><MANUFACTURER>Glaxo Wellcome Production</MANUFACTURER><ORDER_MEMO/><INVOICE_NO>05624416</INVOICE_NO><VENDER_SITE></VENDER_SITE><ITEM_NUMBER>24080109</ITEM_NUMBER><APROVE_PERSON></APROVE_PERSON><INVOICE_DATE>2018-04-25T00:00:00.000+08:00</INVOICE_DATE><AGENT/><PREPAY_INVOICE_NUM/><PAY_BATCH_NUMBER>2020081401</PAY_BATCH_NUMBER><APPLY_PREPAY_AMOUNT>0</APPLY_PREPAY_AMOUNT><PAY_SCHEDULE_DATE>2020-08-14T00:00:00.000+08:00</PAY_SCHEDULE_DATE><BILL_NOTE/><RESERVED_5/><ORG_CODE>608</ORG_CODE><RESERVED_4/><RESERVED_3/><INVOICE_LINE_ID>4464873</INVOICE_LINE_ID><AGENT_ID/><RESERVED_2/><RESERVED_1/><CURRENCY_CODE>CNY</CURRENCY_CODE><PAY_METHOD>001</PAY_METHOD><SYS_SOURCE>ISCM</SYS_SOURCE><NOTE_RECEIVABLE/><BANK_ACCOUNT>1782946206</BANK_ACCOUNT><PAY_CHECK_ID/><BUSI_TYPE/></ITEM><ITEM><DELIVERY_ID>8048519</DELIVERY_ID><ORG_NAME></ORG_NAME><DISCOUNT_AMOUNT>0</DISCOUNT_AMOUNT><CURRENCY_RATE>1</CURRENCY_RATE><BUYER_MEMO/><APROVE_DATE>2020-08-14T12:50:31.000+08:00</APROVE_DATE><TOTAL_QUANTITY>-1</TOTAL_QUANTITY><PAY_SCHEDULE_ID>1037111</PAY_SCHEDULE_ID><SOURCE>PPR</SOURCE><PAY_SCHEDULE_TYPE>NEW</PAY_SCHEDULE_TYPE><OTHER_MEMO/><PR_CREATE_DATE>2020-08-13T00:00:00.000+08:00</PR_CREATE_DATE><VENDER_NUMBER>990050</VENDER_NUMBER><ITEM_SPECS>5010060</ITEM_SPECS><PREPAY_INVOICE_LINE_ID/><LAST_UPEDATE_DATE/><PAY_SCHEDULE_AMOUNT>-135.61</PAY_SCHEDULE_AMOUNT><CREATE_DATE>2020-08-14T12:50:44.000+08:00</CREATE_DATE><INVOICE_ID>1699042</INVOICE_ID><PRIORITY_LEVEL>1</PRIORITY_LEVEL><PAY_CONDITION/><PAY_MEMO/><DELIVERY_DATE>2018-02-01T12:41:11.000+08:00</DELIVERY_DATE><VENDER_NAME></VENDER_NAME><MANUFACTURER>Glaxo Wellcome Production</MANUFACTURER><ORDER_MEMO/><INVOICE_NO>05624416</INVOICE_NO><VENDER_SITE></VENDER_SITE><ITEM_NUMBER>24080109</ITEM_NUMBER><APROVE_PERSON></APROVE_PERSON><INVOICE_DATE>2018-04-25T00:00:00.000+08:00</INVOICE_DATE><AGENT/><PREPAY_INVOICE_NUM/><PAY_BATCH_NUMBER>2020081401</PAY_BATCH_NUMBER><APPLY_PREPAY_AMOUNT>0</APPLY_PREPAY_AMOUNT><PAY_SCHEDULE_DATE>2020-08-14T00:00:00.000+08:00</PAY_SCHEDULE_DATE><BILL_NOTE/><RESERVED_5/><ORG_CODE>608</ORG_CODE><RESERVED_4/><RESERVED_3/><INVOICE_LINE_ID>4464873</INVOICE_LINE_ID><AGENT_ID/><RESERVED_2/><RESERVED_1/><CURRENCY_CODE>CNY</CURRENCY_CODE><PAY_METHOD>001</PAY_METHOD><SYS_SOURCE>ISCM</SYS_SOURCE><NOTE_RECEIVABLE/><BANK_ACCOUNT>1782946206</BANK_ACCOUNT><PAY_CHECK_ID/><BUSI_TYPE/></ITEM></DATA>";
    String xmlstr2 = "<DATA xmlns:soapenv=\"http://schemas.xmlsoap.org/soap/envelope/\" xmlns:sen=\"http://www.ekingwin.com/SendMessage\"><ITEM><DELIVERY_ID>-151083</DELIVERY_ID><ORG_NAME>上药控股</ORG_NAME><DISCOUNT_AMOUNT>0</DISCOUNT_AMOUNT><CURRENCY_RATE>1</CURRENCY_RATE><BUYER_MEMO/><APROVE_DATE>2020-08-20T19:20:00.000+08:00</APROVE_DATE><TOTAL_QUANTITY>380</TOTAL_QUANTITY><PAY_SCHEDULE_ID>345679076</PAY_SCHEDULE_ID><SOURCE>PPR</SOURCE><PAY_SCHEDULE_TYPE>NEW</PAY_SCHEDULE_TYPE><OTHER_MEMO/><PR_CREATE_DATE>2020-08-06T00:00:00.000+08:00</PR_CREATE_DATE><VENDER_NUMBER>990010</VENDER_NUMBER><ITEM_SPECS>0.5g*108片(薄膜衣)</ITEM_SPECS><PREPAY_INVOICE_LINE_ID/><LAST_UPEDATE_DATE/><PAY_SCHEDULE_AMOUNT>1</PAY_SCHEDULE_AMOUNT><BUYER>王祥</BUYER><ITEM_NAME>安脑片</ITEM_NAME><CREATE_DATE>2020-08-05T23:00:00.000+08:00</CREATE_DATE><INVOICE_ID>2025235</INVOICE_ID><PRIORITY_LEVEL>2</PRIORITY_LEVEL><PAY_CONDITION/><PAY_MEMO/><DELIVERY_DATE>2020-07-31T00:00:00.000+08:00</DELIVERY_DATE><VENDER_NAME>上药思富（上海）医药有限公司</VENDER_NAME><MANUFACTURER>哈尔滨蒲公英药业有限公司</MANUFACTURER><DEPARTMENT>采购部</DEPARTMENT><ORDER_MEMO/><INVOICE_NO>00537150</INVOICE_NO><VENDER_SITE>常规</VENDER_SITE><ITEM_NUMBER>12157599</ITEM_NUMBER><APROVE_PERSON>齐霄燕</APROVE_PERSON><INVOICE_DATE>2020-04-15T00:00:00.000+08:00</INVOICE_DATE><AGENT/><PREPAY_INVOICE_NUM/><PAY_BATCH_NUMBER>2020080547</PAY_BATCH_NUMBER><APPLY_PREPAY_AMOUNT>1</APPLY_PREPAY_AMOUNT><PAY_SCHEDULE_DATE>2020-11-30T00:00:00.000+08:00</PAY_SCHEDULE_DATE><BILL_NOTE/><RESERVED_5/><ORG_CODE>608</ORG_CODE><RESERVED_4/><RESERVED_3/><INVOICE_LINE_ID>39346506</INVOICE_LINE_ID><AGENT_ID/><RESERVED_2/><RESERVED_1/><CURRENCY_CODE>CNY</CURRENCY_CODE><PAY_METHOD>001</PAY_METHOD><SYS_SOURCE>ISCM</SYS_SOURCE><NOTE_RECEIVABLE/><BANK_ACCOUNT>310066153010141000000</BANK_ACCOUNT><PAY_CHECK_ID/><BUSI_TYPE/></ITEM><ITEM><DELIVERY_ID>-151083</DELIVERY_ID><ORG_NAME>上药控股</ORG_NAME><DISCOUNT_AMOUNT>0</DISCOUNT_AMOUNT><CURRENCY_RATE>1</CURRENCY_RATE><BUYER_MEMO/><APROVE_DATE>2020-08-20T19:20:00.000+08:00</APROVE_DATE><TOTAL_QUANTITY>380</TOTAL_QUANTITY><PAY_SCHEDULE_ID>345679077</PAY_SCHEDULE_ID><SOURCE>PPR</SOURCE><PAY_SCHEDULE_TYPE>NEW</PAY_SCHEDULE_TYPE><OTHER_MEMO/><PR_CREATE_DATE>2020-08-06T00:00:00.000+08:00</PR_CREATE_DATE><VENDER_NUMBER>990010</VENDER_NUMBER><ITEM_SPECS>0.5g*109片(薄膜衣)</ITEM_SPECS><PREPAY_INVOICE_LINE_ID/><LAST_UPEDATE_DATE/><PAY_SCHEDULE_AMOUNT>1</PAY_SCHEDULE_AMOUNT><BUYER>王祥</BUYER><ITEM_NAME>安脑片</ITEM_NAME><CREATE_DATE>2020-08-05T23:00:00.000+08:00</CREATE_DATE><INVOICE_ID>2025235</INVOICE_ID><PRIORITY_LEVEL>2</PRIORITY_LEVEL><PAY_CONDITION/><PAY_MEMO/><DELIVERY_DATE>2020-07-31T00:00:00.000+08:00</DELIVERY_DATE><VENDER_NAME>上药思富（上海）医药有限公司</VENDER_NAME><MANUFACTURER>哈尔滨蒲公英药业有限公司</MANUFACTURER><DEPARTMENT>采购部</DEPARTMENT><ORDER_MEMO/><INVOICE_NO>00537150</INVOICE_NO><VENDER_SITE>常规</VENDER_SITE><ITEM_NUMBER>12157599</ITEM_NUMBER><APROVE_PERSON>齐霄燕</APROVE_PERSON><INVOICE_DATE>2020-04-15T00:00:00.000+08:00</INVOICE_DATE><AGENT/><PREPAY_INVOICE_NUM/><PAY_BATCH_NUMBER>2020080547</PAY_BATCH_NUMBER><APPLY_PREPAY_AMOUNT>1</APPLY_PREPAY_AMOUNT><PAY_SCHEDULE_DATE>2020-12-01T00:00:00.000+08:00</PAY_SCHEDULE_DATE><BILL_NOTE/><RESERVED_5/><ORG_CODE>608</ORG_CODE><RESERVED_4/><RESERVED_3/><INVOICE_LINE_ID>39346506</INVOICE_LINE_ID><AGENT_ID/><RESERVED_2/><RESERVED_1/><CURRENCY_CODE>CNY</CURRENCY_CODE><PAY_METHOD>001</PAY_METHOD><SYS_SOURCE>ISCM</SYS_SOURCE><NOTE_RECEIVABLE/><BANK_ACCOUNT>310066153010141000000</BANK_ACCOUNT><PAY_CHECK_ID/><BUSI_TYPE/></ITEM><ITEM><DELIVERY_ID>-151083</DELIVERY_ID><ORG_NAME>上药控股</ORG_NAME><DISCOUNT_AMOUNT>0</DISCOUNT_AMOUNT><CURRENCY_RATE>1</CURRENCY_RATE><BUYER_MEMO/><APROVE_DATE>2020-08-20T19:20:00.000+08:00</APROVE_DATE><TOTAL_QUANTITY>380</TOTAL_QUANTITY><PAY_SCHEDULE_ID>345679082</PAY_SCHEDULE_ID><SOURCE>PPR</SOURCE><PAY_SCHEDULE_TYPE>NEW</PAY_SCHEDULE_TYPE><OTHER_MEMO/><PR_CREATE_DATE>2020-08-06T00:00:00.000+08:00</PR_CREATE_DATE><VENDER_NUMBER>990010</VENDER_NUMBER><ITEM_SPECS>0.5g*114片(薄膜衣)</ITEM_SPECS><PREPAY_INVOICE_LINE_ID/><LAST_UPEDATE_DATE/><PAY_SCHEDULE_AMOUNT>1</PAY_SCHEDULE_AMOUNT><BUYER>王祥</BUYER><ITEM_NAME>安脑片</ITEM_NAME><CREATE_DATE>2020-08-05T23:00:00.000+08:00</CREATE_DATE><INVOICE_ID>2025235</INVOICE_ID><PRIORITY_LEVEL>2</PRIORITY_LEVEL><PAY_CONDITION/><PAY_MEMO/><DELIVERY_DATE>2020-07-31T00:00:00.000+08:00</DELIVERY_DATE><VENDER_NAME>上药思富（上海）医药有限公司</VENDER_NAME><MANUFACTURER>哈尔滨蒲公英药业有限公司</MANUFACTURER><DEPARTMENT>采购部</DEPARTMENT><ORDER_MEMO/><INVOICE_NO>00537150</INVOICE_NO><VENDER_SITE>常规</VENDER_SITE><ITEM_NUMBER>12157599</ITEM_NUMBER><APROVE_PERSON>齐霄燕</APROVE_PERSON><INVOICE_DATE>2020-04-15T00:00:00.000+08:00</INVOICE_DATE><AGENT/><PREPAY_INVOICE_NUM/><PAY_BATCH_NUMBER>2020080547</PAY_BATCH_NUMBER><APPLY_PREPAY_AMOUNT>1</APPLY_PREPAY_AMOUNT><PAY_SCHEDULE_DATE>2020-12-06T00:00:00.000+08:00</PAY_SCHEDULE_DATE><BILL_NOTE/><RESERVED_5/><ORG_CODE>608</ORG_CODE><RESERVED_4/><RESERVED_3/><INVOICE_LINE_ID>39346506</INVOICE_LINE_ID><AGENT_ID/><RESERVED_2/><RESERVED_1/><CURRENCY_CODE>CNY</CURRENCY_CODE><PAY_METHOD>001</PAY_METHOD><SYS_SOURCE>ISCM</SYS_SOURCE><NOTE_RECEIVABLE/><BANK_ACCOUNT>310066153010141000000</BANK_ACCOUNT><PAY_CHECK_ID/><BUSI_TYPE/></ITEM><ITEM><DELIVERY_ID>-151083</DELIVERY_ID><ORG_NAME>上药控股</ORG_NAME><DISCOUNT_AMOUNT>0</DISCOUNT_AMOUNT><CURRENCY_RATE>1</CURRENCY_RATE><BUYER_MEMO/><APROVE_DATE>2020-08-20T19:20:00.000+08:00</APROVE_DATE><TOTAL_QUANTITY>380</TOTAL_QUANTITY><PAY_SCHEDULE_ID>345679080</PAY_SCHEDULE_ID><SOURCE>PPR</SOURCE><PAY_SCHEDULE_TYPE>NEW</PAY_SCHEDULE_TYPE><OTHER_MEMO/><PR_CREATE_DATE>2020-08-06T00:00:00.000+08:00</PR_CREATE_DATE><VENDER_NUMBER>990010</VENDER_NUMBER><ITEM_SPECS>0.5g*112片(薄膜衣)</ITEM_SPECS><PREPAY_INVOICE_LINE_ID/><LAST_UPEDATE_DATE/><PAY_SCHEDULE_AMOUNT>1</PAY_SCHEDULE_AMOUNT><BUYER>王祥</BUYER><ITEM_NAME>安脑片</ITEM_NAME><CREATE_DATE>2020-08-05T23:00:00.000+08:00</CREATE_DATE><INVOICE_ID>2025235</INVOICE_ID><PRIORITY_LEVEL>2</PRIORITY_LEVEL><PAY_CONDITION/><PAY_MEMO/><DELIVERY_DATE>2020-07-31T00:00:00.000+08:00</DELIVERY_DATE><VENDER_NAME>上药思富（上海）医药有限公司</VENDER_NAME><MANUFACTURER>哈尔滨蒲公英药业有限公司</MANUFACTURER><DEPARTMENT>采购部</DEPARTMENT><ORDER_MEMO/><INVOICE_NO>00537150</INVOICE_NO><VENDER_SITE>常规</VENDER_SITE><ITEM_NUMBER>12157599</ITEM_NUMBER><APROVE_PERSON>齐霄燕</APROVE_PERSON><INVOICE_DATE>2020-04-15T00:00:00.000+08:00</INVOICE_DATE><AGENT/><PREPAY_INVOICE_NUM/><PAY_BATCH_NUMBER>2020080547</PAY_BATCH_NUMBER><APPLY_PREPAY_AMOUNT>1</APPLY_PREPAY_AMOUNT><PAY_SCHEDULE_DATE>2020-12-04T00:00:00.000+08:00</PAY_SCHEDULE_DATE><BILL_NOTE/><RESERVED_5/><ORG_CODE>608</ORG_CODE><RESERVED_4/><RESERVED_3/><INVOICE_LINE_ID>39346506</INVOICE_LINE_ID><AGENT_ID/><RESERVED_2/><RESERVED_1/><CURRENCY_CODE>CNY</CURRENCY_CODE><PAY_METHOD>001</PAY_METHOD><SYS_SOURCE>ISCM</SYS_SOURCE><NOTE_RECEIVABLE/><BANK_ACCOUNT>310066153010141000000</BANK_ACCOUNT><PAY_CHECK_ID/><BUSI_TYPE/></ITEM><ITEM><DELIVERY_ID>-151083</DELIVERY_ID><ORG_NAME>上药控股</ORG_NAME><DISCOUNT_AMOUNT>0</DISCOUNT_AMOUNT><CURRENCY_RATE>1</CURRENCY_RATE><BUYER_MEMO/><APROVE_DATE>2020-08-20T19:20:00.000+08:00</APROVE_DATE><TOTAL_QUANTITY>380</TOTAL_QUANTITY><PAY_SCHEDULE_ID>345679081</PAY_SCHEDULE_ID><SOURCE>PPR</SOURCE><PAY_SCHEDULE_TYPE>NEW</PAY_SCHEDULE_TYPE><OTHER_MEMO/><PR_CREATE_DATE>2020-08-06T00:00:00.000+08:00</PR_CREATE_DATE><VENDER_NUMBER>990010</VENDER_NUMBER><ITEM_SPECS>0.5g*113片(薄膜衣)</ITEM_SPECS><PREPAY_INVOICE_LINE_ID/><LAST_UPEDATE_DATE/><PAY_SCHEDULE_AMOUNT>1</PAY_SCHEDULE_AMOUNT><BUYER>王祥</BUYER><ITEM_NAME>安脑片</ITEM_NAME><CREATE_DATE>2020-08-05T23:00:00.000+08:00</CREATE_DATE><INVOICE_ID>2025235</INVOICE_ID><PRIORITY_LEVEL>2</PRIORITY_LEVEL><PAY_CONDITION/><PAY_MEMO/><DELIVERY_DATE>2020-07-31T00:00:00.000+08:00</DELIVERY_DATE><VENDER_NAME>上药思富（上海）医药有限公司</VENDER_NAME><MANUFACTURER>哈尔滨蒲公英药业有限公司</MANUFACTURER><DEPARTMENT>采购部</DEPARTMENT><ORDER_MEMO/><INVOICE_NO>00537150</INVOICE_NO><VENDER_SITE>常规</VENDER_SITE><ITEM_NUMBER>12157599</ITEM_NUMBER><APROVE_PERSON>齐霄燕</APROVE_PERSON><INVOICE_DATE>2020-04-15T00:00:00.000+08:00</INVOICE_DATE><AGENT/><PREPAY_INVOICE_NUM/><PAY_BATCH_NUMBER>2020080547</PAY_BATCH_NUMBER><APPLY_PREPAY_AMOUNT>1</APPLY_PREPAY_AMOUNT><PAY_SCHEDULE_DATE>2020-12-05T00:00:00.000+08:00</PAY_SCHEDULE_DATE><BILL_NOTE/><RESERVED_5/><ORG_CODE>608</ORG_CODE><RESERVED_4/><RESERVED_3/><INVOICE_LINE_ID>39346506</INVOICE_LINE_ID><AGENT_ID/><RESERVED_2/><RESERVED_1/><CURRENCY_CODE>CNY</CURRENCY_CODE><PAY_METHOD>001</PAY_METHOD><SYS_SOURCE>ISCM</SYS_SOURCE><NOTE_RECEIVABLE/><BANK_ACCOUNT>310066153010141000000</BANK_ACCOUNT><PAY_CHECK_ID/><BUSI_TYPE/></ITEM><ITEM><DELIVERY_ID>-151083</DELIVERY_ID><ORG_NAME>上药控股</ORG_NAME><DISCOUNT_AMOUNT>0</DISCOUNT_AMOUNT><CURRENCY_RATE>1</CURRENCY_RATE><BUYER_MEMO/><APROVE_DATE>2020-08-20T19:20:00.000+08:00</APROVE_DATE><TOTAL_QUANTITY>380</TOTAL_QUANTITY><PAY_SCHEDULE_ID>345679079</PAY_SCHEDULE_ID><SOURCE>PPR</SOURCE><PAY_SCHEDULE_TYPE>NEW</PAY_SCHEDULE_TYPE><OTHER_MEMO/><PR_CREATE_DATE>2020-08-06T00:00:00.000+08:00</PR_CREATE_DATE><VENDER_NUMBER>990010</VENDER_NUMBER><ITEM_SPECS>0.5g*111片(薄膜衣)</ITEM_SPECS><PREPAY_INVOICE_LINE_ID/><LAST_UPEDATE_DATE/><PAY_SCHEDULE_AMOUNT>1</PAY_SCHEDULE_AMOUNT><BUYER>王祥</BUYER><ITEM_NAME>安脑片</ITEM_NAME><CREATE_DATE>2020-08-05T23:00:00.000+08:00</CREATE_DATE><INVOICE_ID>2025235</INVOICE_ID><PRIORITY_LEVEL>2</PRIORITY_LEVEL><PAY_CONDITION/><PAY_MEMO/><DELIVERY_DATE>2020-07-31T00:00:00.000+08:00</DELIVERY_DATE><VENDER_NAME>上药思富（上海）医药有限公司</VENDER_NAME><MANUFACTURER>哈尔滨蒲公英药业有限公司</MANUFACTURER><DEPARTMENT>采购部</DEPARTMENT><ORDER_MEMO/><INVOICE_NO>00537150</INVOICE_NO><VENDER_SITE>常规</VENDER_SITE><ITEM_NUMBER>12157599</ITEM_NUMBER><APROVE_PERSON>齐霄燕</APROVE_PERSON><INVOICE_DATE>2020-04-15T00:00:00.000+08:00</INVOICE_DATE><AGENT/><PREPAY_INVOICE_NUM/><PAY_BATCH_NUMBER>2020080547</PAY_BATCH_NUMBER><APPLY_PREPAY_AMOUNT>1</APPLY_PREPAY_AMOUNT><PAY_SCHEDULE_DATE>2020-12-03T00:00:00.000+08:00</PAY_SCHEDULE_DATE><BILL_NOTE/><RESERVED_5/><ORG_CODE>608</ORG_CODE><RESERVED_4/><RESERVED_3/><INVOICE_LINE_ID>39346506</INVOICE_LINE_ID><AGENT_ID/><RESERVED_2/><RESERVED_1/><CURRENCY_CODE>CNY</CURRENCY_CODE><PAY_METHOD>001</PAY_METHOD><SYS_SOURCE>ISCM</SYS_SOURCE><NOTE_RECEIVABLE/><BANK_ACCOUNT>310066153010141000000</BANK_ACCOUNT><PAY_CHECK_ID/><BUSI_TYPE/></ITEM></DATA>";
    String jsonstr = translateXml2SimpleJson(xmlstr2);
    System.out.println("jsonstr:" + jsonstr);
  }
}